> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Compensation History

> Returns an employee's base-salary change history (pending, scheduled, applied) derived from change requests.

Required scope: `compensation:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-hris-compensation-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-compensation-history:
    get:
      operationId: getHrisCompensationHistory
      summary: Get Hris Compensation History
      x-toku-required-scope: compensation:read
      description: >-
        Returns an employee's base-salary change history (pending, scheduled,
        applied) derived from change requests.


        Required scope: `compensation:read`
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisCompensationHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisCompensationHistoryResponse:
      type: object
      properties:
        entries:
          type: array
          items:
            type: object
            properties:
              hrisChangeRequestId:
                type: string
                format: uuid
              state:
                type: string
                enum:
                  - PENDING
                  - SCHEDULED
                  - APPLIED
              effectiveDate:
                type:
                  - string
                  - 'null'
              appliedAt:
                type:
                  - string
                  - 'null'
              requestedAt:
                type: string
              requestedByName:
                type:
                  - string
                  - 'null'
              reviewedByName:
                type:
                  - string
                  - 'null'
              oldSalary:
                type:
                  - string
                  - 'null'
              newSalary:
                type:
                  - string
                  - 'null'
              oldCurrency:
                type:
                  - string
                  - 'null'
              newCurrency:
                type:
                  - string
                  - 'null'
              oldPaymentType:
                type:
                  - string
                  - 'null'
              newPaymentType:
                type:
                  - string
                  - 'null'
            required:
              - hrisChangeRequestId
              - state
              - effectiveDate
              - appliedAt
              - requestedAt
              - requestedByName
              - reviewedByName
              - oldSalary
              - newSalary
              - oldCurrency
              - newCurrency
              - oldPaymentType
              - newPaymentType
      required:
        - entries
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
